package com.cj.jiaqingjiayi.model.request.Commodities;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class CommoditiesAddRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = -8094188745265544921L;
    /**
     * 该商品的规格id列表
     */
    private List<Long> specificationsIds;

    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 商品分组id
     */
    private Long commoditiesGroupId;

    /**
     * 商品名称
     */
    private String commoditiesName;

    /**
     * 商品图片
     */
    private String commoditiesImage;

    /**
     * 商品价格
     */
    private Double commoditiesPrice;

    /**
     * 库存数量
     */
    private Integer inventoryStatus;

    /**
     * 商品状态：上架，下架
     */
    private String status;

}
