package com.cj.jiaqingjiayi.model.request.cart;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author xy
 */
@Data
public class CartAddRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 2466273435949197859L;
    /**
     * 商家id
     */
    private Long businessId;

    /**
     * 关联的商品id
     */
    private Long commoditiesId;

    /**
     * 商品数量
     */
    private Integer quantity;

    /**
     * 已选规格属性列表
     */
    private String selectedOptions = "";

}
