package com.cj.jiaqingjiayi.model.request.cart;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author xy
 */
@Data
public class CartUpdateRequest implements Serializable {


    @Serial
    private static final long serialVersionUID = -8867758794571915534L;
    /**
     * id
     */
    private Long id;

    /**
     * 关联的商品id
     */
    private Long commoditiesId;

    /**
     * 商品数量
     */
    private Integer quantity;

    /**
     * 是否加入有规格的商品
     */
    private Boolean isSelectedOptions = false;

    /**
     * 已选规格属性列表
     */
    private String selectedOptions = "";


}
