package com.cj.jiaqingjiayi.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.math.BigDecimal;
import java.util.Date;

public class ManicuristVO {
    /**
     * 美甲师唯一标识（主键，自增）
     */
    private Long id;

    /**
     * 用户ID（关联用户表）
     */
    private Long userId;

    /**
     * 商家ID（关联商家表）
     */
    private Long businessId;

    /**
     * 美甲师姓名
     */
    private String name;

    /**
     * 性别
     */
    private Integer gender;

    /**
     * 美甲师联系电话
     */
    private String phone;

    /**
     * 美甲师电子邮件
     */
    private String email;

    /**
     * 美甲师入职日期
     */
    private Date employment_date;

    /**
     * 美甲师的专长（如法式美甲、彩绘等）
     */
    private String specialties;

    /**
     * 美甲师的服务评分
     */
    private BigDecimal rating;

    /**
     * 美甲师头像的存储路径或链接
     */
    private String manicuristAvatar;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
