package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.Business;
import com.cj.jiaqingjiayi.model.domain.BusinessAuth;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.vo.BusinessAdminVO;

/**
* @author 高木
* @description 针对表【business_auth(商家认证)】的数据库操作Service
* @createDate 2024-07-28 17:18:28
*/
public interface BusinessAuthService extends IService<BusinessAuth> {

    /**
     * 获取脱敏的商家信息
     */
    BusinessAdminVO getBusinessAdminVO(Business business);
}
